/*
 * Problem 3
 */

package com.mygdx.game.GameSet1;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Input.Keys;
import com.badlogic.gdx.ScreenAdapter;
import com.badlogic.gdx.graphics.GL20;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.BitmapFont;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;
import com.mygdx.game.PracticumGame;
import com.mygdx.game.ScoreCount;
import com.mygdx.game.ShowLight;

public class GameScreen103 extends ScreenAdapter {
	private PracticumGame plusGame;
	private Texture pic_3_Img;
	public ScoreCount score;
	public BitmapFont font;
	public ShowLight showLight;
	
	public GameScreen103 (PracticumGame plusGame) {
		this.plusGame = plusGame;
		pic_3_Img = new Texture("set3_9.png");
		this.score = score;
		this.showLight = showLight;
		
		font =  new BitmapFont(Gdx.files.internal("font.fnt"), Gdx.files.internal("font.png"), false);
	}
	
	public void update() {
		//if(Gdx.input.isKeyJustPressed(Keys.NUM_1)) {
		if(PracticumGame.JustPressSW(PracticumGame.sw2)) {
			ScoreCount.increaseScorePlayer1();
			plusGame.setScreen(new GameScreen104(plusGame));
		}
		
		//if(Gdx.input.isKeyJustPressed(Keys.NUM_0)) {
		if(PracticumGame.JustPressSW(PracticumGame.sw1)) {
			ShowLight.led2_on();
			plusGame.setScreen(new GameScreen104(plusGame));
		}
		
		//if(Gdx.input.isKeyJustPressed(Keys.Y)) {
		if(PracticumGame.JustPressSW(PracticumGame.sw3)) {
			ScoreCount.increaseScorePlayer2();
			plusGame.setScreen(new GameScreen104(plusGame));
		}
		
		//if(Gdx.input.isKeyJustPressed(Keys.N)) {
		if(PracticumGame.JustPressSW(PracticumGame.sw4)) {
			ShowLight.led4_on();
			plusGame.setScreen(new GameScreen104(plusGame));

		}
	}
	
	public void draw() {
		SpriteBatch batch = plusGame.batch;
		
		GL20 gl = Gdx.gl;
		Gdx.gl.glClearColor(0, 0, 0, 1);
		gl.glClear(GL20.GL_COLOR_BUFFER_BIT);
		
		batch.begin();
		batch.draw(pic_3_Img, 0, 0);
		font.draw(batch, "Score Player One: " + ScoreCount.scorePlayer1, 50, 100);
		font.draw(batch, "Score Player Two: " + ScoreCount.scorePlayer2, 1000, 100);
		batch.end();
	}
	
	@Override
	public void render(float delta) {
		draw();
		update();
	}
	
	@Override
	public void hide() {
		pic_3_Img.dispose();
	}
	
}
