/*
Problem 4
*/

package com.mygdx.game.GameSet1;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Input.Keys;
import com.badlogic.gdx.ScreenAdapter;
import com.badlogic.gdx.graphics.GL20;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.BitmapFont;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;
import com.mygdx.game.PracticumGame;
import com.mygdx.game.ScoreCount;
import com.mygdx.game.ShowLight;

public class GameScreen106 extends ScreenAdapter {
	private PracticumGame game;
	private Texture pic_4_Img;
	public ScoreCount score;
	public BitmapFont font;
	public ShowLight showLight;
	
	public GameScreen106 (PracticumGame game) {
		this.game = game;
		pic_4_Img = new Texture("set2_9.png");
		this.score = score;
		this.showLight = showLight;
		
		font =  new BitmapFont(Gdx.files.internal("font.fnt"), Gdx.files.internal("font.png"), false);
	}
	
	public void update() {
		//if(Gdx.input.isKeyJustPressed(Keys.NUM_1)) {
		if(PracticumGame.JustPressSW(PracticumGame.sw2)) {
			ScoreCount.increaseScorePlayer1();
			game.setScreen(new GameScreen107(game));
		}
		
		//if(Gdx.input.isKeyJustPressed(Keys.NUM_0)) {
		if(PracticumGame.JustPressSW(PracticumGame.sw1)) {
			showLight.led2_on();
			game.setScreen(new GameScreen107(game));
		}
		
		//if(Gdx.input.isKeyJustPressed(Keys.Y)) {
		if(PracticumGame.JustPressSW(PracticumGame.sw3)) {
			ScoreCount.increaseScorePlayer2();
			game.setScreen(new GameScreen107(game));
		}
		
		//if(Gdx.input.isKeyJustPressed(Keys.N)) {
		if(PracticumGame.JustPressSW(PracticumGame.sw4)) {
			showLight.led4_on();
			game.setScreen(new GameScreen107(game));

		}
	}
	
	public void draw() {
		SpriteBatch batch = game.batch;
		
		GL20 gl = Gdx.gl;
		Gdx.gl.glClearColor(0, 0, 0, 1);
		gl.glClear(GL20.GL_COLOR_BUFFER_BIT);
		
		batch.begin();
		batch.draw(pic_4_Img, 0, 0);
		font.draw(batch, "Score Player One: " + ScoreCount.scorePlayer1 , 50, 100);
		font.draw(batch, "Score Player Two: " + ScoreCount.scorePlayer2, 1000, 100);
		batch.end();
	}
	
	@Override
	public void render(float delta) {
		draw();
		update();
	}
	
	@Override
	public void hide() {
		pic_4_Img.dispose();
	}
	
}
