package com.mygdx.game.GameSet1;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.ScreenAdapter;
import com.badlogic.gdx.Input.Keys;
import com.badlogic.gdx.graphics.GL20;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.BitmapFont;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;
import com.mygdx.game.GameOver;
import com.mygdx.game.PracticumGame;
import com.mygdx.game.ScoreCount;
import com.mygdx.game.ShowLight;

public class GameScreen110 extends ScreenAdapter {
	public ScoreCount score;
	private Texture problemImg;
	public PracticumGame game;
	public BitmapFont font;
	public ShowLight showLight;
	
	public GameScreen110(PracticumGame game) {
		this.game = game;
		this.score = score;
		problemImg = new Texture("pic-7.png");
		
		font =  new BitmapFont(Gdx.files.internal("font.fnt"), Gdx.files.internal("font.png"), false);
	}
	
	public void render(float delta) {
		draw();
		update();
	}
	
	public void draw() {
		SpriteBatch batch = game.batch;
		GL20 gl = Gdx.gl;
		Gdx.gl.glClear(GL20.GL_COLOR_BUFFER_BIT);
		
		batch.begin();
		batch.draw(problemImg, 0, 0);
		font.draw(batch, "Score Player One: " + ScoreCount.scorePlayer1 , 50, 100);
		font.draw(batch, "Score Player Two: " + ScoreCount.scorePlayer2, 1000, 100);
		batch.end();
	}
	
	public void update() {
		//if(Gdx.input.isKeyJustPressed(Keys.NUM_1)) {
		if(PracticumGame.JustPressSW(PracticumGame.sw2)) {
			ScoreCount.increaseScorePlayer1();
			game.setScreen(new GameOver(game));
		}
		
		//if(Gdx.input.isKeyJustPressed(Keys.NUM_0)) {
		if(PracticumGame.JustPressSW(PracticumGame.sw1)) {
			showLight.led2_on();
			game.setScreen(new GameOver(game));
		}
		
		//if(Gdx.input.isKeyJustPressed(Keys.Y)) {
		if(PracticumGame.JustPressSW(PracticumGame.sw3)) {
			ScoreCount.increaseScorePlayer2();
			game.setScreen(new GameOver(game));
		}
		
		//if(Gdx.input.isKeyJustPressed(Keys.N)) {
		if(PracticumGame.JustPressSW(PracticumGame.sw4)) {
			showLight.led4_on();
			game.setScreen(new GameOver(game));
		}
		
	}
	
	@Override
	public void hide() {
		problemImg.dispose();
	}
	
}
