package com.mygdx.game;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Input.Keys;
import com.badlogic.gdx.ScreenAdapter;
import com.badlogic.gdx.graphics.GL20;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;
import com.mygdx.game.GameSet1.GameScreen101;
import com.mygdx.game.GameSet2.GameScreen201;
import com.mygdx.game.GameSet3.GameScreen301;
import com.mygdx.game.GameSet4.GameScreen401;

public class SelectingGameSet extends ScreenAdapter {
	
	private Texture selectScreen;
	private Texture set_1;
	private Texture set_2;
	private Texture set_3;
	private Texture set_4;
	public PracticumGame practicumGame;
	
	
	public SelectingGameSet(PracticumGame practicumGame) {
		selectScreen = new Texture("selectScreen.png");
		set_1 = new Texture("set_1.png");
		set_2 = new Texture("set_2.png");
		set_3 = new Texture("set_3.png");
		set_4 = new Texture("set_4.png");
	
		this.practicumGame = practicumGame;
	}
	
	@Override
	public void render(float delta) {
		draw();
		update();
	}
	
	public void draw() {
		SpriteBatch batch = practicumGame.batch;
		
		GL20 gl = Gdx.gl;
		Gdx.gl.glClearColor(0, 0, 0, 1);
		gl.glClear(GL20.GL_COLOR_BUFFER_BIT);
		
		batch.begin();
		batch.draw(selectScreen, 0, 0);
		batch.draw(set_1, 200, 400);
		batch.draw(set_2, 800, 400);
		batch.draw(set_3, 200, 100);
		batch.draw(set_4, 800, 100);
		batch.end();
	}
	
	public void update() {
		//if(Gdx.input.isKeyJustPressed(Keys.NUM_1)) { //select Set 1
		if(PracticumGame.JustPressSW(PracticumGame.sw1)) {
			practicumGame.setScreen(new GameScreen101(practicumGame));
		}
		
		//if(Gdx.input.isKeyJustPressed(Keys.NUM_0)) { //select Set 2
		if(PracticumGame.JustPressSW(PracticumGame.sw2)) {
			practicumGame.setScreen(new GameScreen201(practicumGame));
		}
		
		//if(Gdx.input.isKeyJustPressed(Keys.Y)) {
		if(PracticumGame.JustPressSW(PracticumGame.sw3)) {	
			practicumGame.setScreen(new GameScreen301(practicumGame));
		}
		
		//if(Gdx.input.isKeyJustPressed(Keys.N)) {
		if(PracticumGame.JustPressSW(PracticumGame.sw4)) {
			practicumGame.setScreen(new GameScreen401(practicumGame));
		}
		
	}
	
	@Override
	public void hide() {
		selectScreen.dispose();
	}
	
	
}
